Package org.apache.sysds.runtime.functionobjects

# Class PlusMultiply

java.lang.Object
org.apache.sysds.runtime.functionobjects.FunctionObject
org.apache.sysds.runtime.functionobjects.ValueFunction
org.apache.sysds.runtime.functionobjects.TernaryValueFunction
org.apache.sysds.runtime.functionobjects.PlusMultiply

All Implemented Interfaces:
  `Serializable`

public class PlusMultiply extends TernaryValueFunction

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PlusMultiply(double cnt)`

## Method Summary

Modifier and Type
Method
Description
`double`
`execute(double in1, double in2)`
`double`
`execute(double in1, double in2, double in3)`
`double`
`getConstant()`
`static PlusMultiply`
`getFnObject()`
`ValueFunction`
`setOp2Constant(double cnt)`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`isBinary, requiresCorrection, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PlusMultiply

public PlusMultiply(double cnt)

## Method Details

### getFnObject

public static PlusMultiply getFnObject()

### getConstant

public double getConstant()

### execute

public double execute(double in1, double in2, double in3)

Specified by:
  `execute` in class `TernaryValueFunction`

### setOp2Constant

public ValueFunction setOp2Constant(double cnt)

Specified by:
  `setOp2Constant` in class `TernaryValueFunction`

### execute

public double execute(double in1, double in2)

Overrides:
  `execute` in class `FunctionObject`